Subject: I am working on correcting the code but I am stucked now
From: "Mohammed Abdel'al" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 23 Aug 2000 07:12:37 +0300

Hi charles first thnx for ur ranting :)

any way it seems I need to change my glass cuz I read those read me and web
page but found no clue about u

anyway I have corrected some parts of the code so now the libcygipc.a and
ipc-daemon.exe compiles
and seems they work
but when it comes to ipcs i get the following messages which I can't
understand
<---start
'home/administrator/cygipc-1.05/sem.c:69: multiple definition of `GStrMsg/
ipcs.o(.bss+0x14):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:70: multiple definition of `GSemShm/
ipcs.o(.bss+0x4):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:70: multiple definition of `GSemSem/
ipcs.o(.bss+0x0):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:70: multiple definition of `GSemMsg/
ipcs.o(.bss+0x8):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:70: multiple definition of `GStrSem/
ipcs.o(.bss+0xc):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:70: multiple definition of `GStrShm/
ipcs.o(.bss+0x10):ipcs.c: first defined here
:')lib/libcygipc.a(shm.o): In function `init_globals(void
'home/administrator/cygipc-1.05/shm.c:72: multiple definition of `GStrMsg/
ipcs.o(.bss+0x14):ipcs.c: first defined here
collect2: ld returned 1 exit status
make: *** [bin/ipcs] Error 1

administrator@MACHINE3 ~/cygipc-1.05modified
$
<------end
here what I did for fixing the issue until now

at the file ./include/IpcNtStr.h
line 72 the structure member int current_nb[SEMOPM] has the same name as the
structure which under c++ is synonym to the class and its forbiden to have a
member in same name as the class as I think
so I added the letter i to the member name so it became: current_nbi[...]
I have traced the presence of this memeber through the code and changed all
the possions to the current name
that resulted in producing the libgyipc.a and ipc-daemon.exe

but when it came to ipcs things happened as I mentioned above

I hope little help to guide me
thnx

----- Original Message -----
From: "Charles Wilson" <[email-masked]>
To: "Mohammed Abdel'al" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, August 19, 2000 1:34 AM
Subject: Re: Who is the mantainer of cygipc? or is there any one could help
me compiling the source codde?

> Mohammed Abdel'al wrote:
> >
> > Hi all
> >
> > Every time I try to recompile the cygipc-1.05 source code I get plainty
of errors
> > Who is the mantainer? or have any of u compiled the source code
successfull so he helps me to finish this task
> > I know that the binaries exists but I prefare to compile the whole thing
on my machine
> > and because the binary exists I belive that there is some one who did
the job and can guid me
>
> <rant mode>
>
> Why did you send this message to
>
> <[email-masked]>
> <[email-masked]>
> <[email-masked]>
>
> Do you really think any of those people care or know about cygwin, and
> cygipc?
>
> Did you read the web page from which you downloaded cygipc-1.05? Did you
> read the README? Either one would have told you that I'm the maintainer
> of that package.
>
> Did you search the cygwin mail archives for 'cygipc'? If you had done
> so, you would have seen extensive discussions *this week* concerning
> cygipc compilation. Granted, the thread topic didn't say "cygipc" but
> the search engine will find it. The thread topic is
>
> "working around "more" (Was Re: what is my mistake?!!!!!)"
>
> Please at least take SOME initiative in tracking down existing
> information before posting to the list.
>
> </rant mode>
>
> The basic thing is, ipc-daemon.c should be renamed to ipc-daemon.cc,
> since it includes strace.h.  Strace.h is part of the main cygwin
> package, and was converted to C++ code as of March 7, 2000. See,
> anything on the cygwin platform, especially something as low-level as
> IPC, is trying to run on an intrinsically moving target -- since Chris,
> DJ, Corinna et. al. are continually improving and modifying the
> cygwin1.dll. So, as cygwin1.dll is improved, other things break. This is
> one of them.
>
> Anyway, renaming ipc-daemon.c to ipc-daemon.cc exposes certain other
> bugs in cygipc's include/IpcNtExt.h -- things that are valid C code but
> are illegal C++ code.
>
> This information was only discovered this week, so I haven't had time to
> track it down yet. I will gladly accept patches if you manage to fix it
> yourself, now that you know the issues and where to look to squash the
> bug.
>
> Check the thread mentioned above in the mail archives for more
> information.
>
> --Chuck
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]